English

Android outdated

Tags: #<Tag:0x00007f05dc21a528>

Hi,

the Android of FP1 is now clearly outdated. Apps on Play Store mainly can not be downloaded anymore. Does anyone know about a solution which works to some extent. I mean an OpenSource OS or anything?

The only available option is the never finished 4.4.2:

I use it and it works reasonably well. In my eyes, the biggest remaining bug is an erroneous battery usage graph. Actual battery running time seems unchanged compared to 4.2.2. though.

6 Likes

Yes, I can confirm that report. My wife’s FP1 had more and more apps that could not be updated anymore and therefore some of them became useless. So we updated her phone and so far we didn’t discover severe issues. The phone feels a bit faster after the update, the UI looks more modern and last but not least she can use most apps again. It’s a pity this project (Android 4.4 on FP1) could never be finished completely, the alpha really looks promising.

1 Like

I remember reading something about unstable Bluetooth. I’m a FP2 user, so I can’t confirm nor deny this.

Thank you for the answers. But does one have an idea of how long this solution might work out. I mean if 4.2.2 is outdated now, I guess it won’t take much time till 4.4 is outdated, right?

1 Like

Right.     

2 Likes

Kitkat has been around for almost 5 years, so it’s already been receiving security patches by Google for twice as long as Jelly Bean. Unfortunately it is not predictable when Google stops supporting Kitkat (and of course Google releasing security patches doesn’t mean that they arrive on the FP1).

Two other aspects:

  • When Google stops support for an Android version, it doesn’t mean that developers stop supporting that API level in their apps right away.
  • I have the impression that #dic:floss developers in general try to support older Android versions than their proprietary counterparts.
3 Likes

Thank you so much @urs_lesse for the proposal. Easy update which seems to work pretty well.

1 Like

4 posts were split to a new topic: Why doesn’t Android work the same way as Linux on PCs?

Thanks for sharing the ideas, though, I am surprised that you are so satisfied with the recommended step. In particular, is Whatsapp running on the mentioned phone/s? I also just updated my FP1U to Macadamia. Happily it still works in general. But the core problem has not been resolved: when trying to load apps, I still get the (erroneous) message of not having enough space (more than 3 GB free on the internal, plus 13 on the SD). I also tried to load Whatsapp through its .apk (after having accepted installation from unknown sources in security settings, and having erased all Whatsapp traces from its previous installation that had stopped working): still not successful. Any ideas to get Whatsapp (and some other apps) running again, now on Macadamia?

You seem to have a different problem. WhatsApp ran on Android 4.2 and still runs well on 4.4 here. But I have to admit that we faced some issues, too: The old AOSP keyboard supported swiping which the new one doesn’t. The play store however is unable to install Gboard as replacement, it always fails with error messages that don’t make sense (wrong signature in the app etc.). Deleting all kinds of caches (app cache, dalvik cache) didn’t help - but maybe that would help you?

A post was split to a new topic: Not enough space despite of having 3GB free on internal storage

Thanks for your suggestions. I had already deleted several caches and the storage unification was not a direct issue, because I am having an FP1U. Nonetheless, it made me test again. Finally, it turned out that the root was the problem. When using Link2SD and Titanium Backup, I had switched to a rooted system and WhatsApp and few other apps, apparently, are not accepting this. I rebuilt everything from scratch and ended up with 4.4 alpha and apps that work. (The only strange thing noticed from 4.4 alpha so far: am now said to be in roaming what I am not.)

1 Like

Let me guess: You have a mobile carrier that didn’t even exist when the FP1 came out? :wink: New mobile carriers need to be registered in the OS so that it knows the respective country. The Kitkat alpha doesn’t seem to include the newer mobile carriers.

I work around this issue by hiding the roaming indicator for national roaming in GravityBox.

2 Likes

After one month of using the upgraded version I got only one problem, nevertheless it is really annoying. The display seems to consume a vast amount of power. That means a skype video call of 40 min unloads the battery from full charged to zero. To read a newspaper article (around 10 min) unloads it about 10%. Anyone has the same issue or an idea how to improve?

While it seems to be a small step to a user, from a developer’s view the difference between 4.2 and 4.4 is substantial, like the Chrome based Webview or the much improved KeyStore. This makes it a lot easier to support 4.4 than 4.2 (depending on the app of course).
I recently updated my FP1U to the mentioned 4.4.2 and it works like a charm. The update process run smoothly, the installed apps and their configuration where preserved.

4 Likes

This topic was automatically closed 182 days after the last reply. New replies are no longer allowed.